import { SportTypes, ProfileTypes } from 'config'

import { getProfileLogo } from '..'

describe('getLogo helper', () => {
  it('returns logo url', () => {
    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.PLAYERS,
      sportType: SportTypes.FOOTBALL,
    })).toBe('https://cf-aws.insports.tv/media/players/1/1/photo.png')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TEAMS,
      sportType: SportTypes.BASKETBALL,
    })).toBe('https://cf-aws.insports.tv/media/teams/3/1/logo.jpg')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TOURNAMENTS,
      sportType: SportTypes.HOCKEY,
    })).toBe('https://cf-aws.insports.tv/media/tournaments/2/1/logo.jpg')
  })
})
